using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Topic_Append2.aspx文件
    /// </summary>
    public class 编译扩展_Club_Topic_Append2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Topic_Append2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }


        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private int BID;
	private int ID;
	private DataRow 论坛版块;
	private String 标题;
	private void 生成贴子内容()
	{
		SqlCommand 语句=new SqlCommand(""SELECT [标题],[作者ID] FROM [""+程序.数据表前缀+""社区_论坛_贴子] WHERE [ID]=""+ID+"" AND [所属版块]=""+BID+"" AND [作者ID]=""+访问.用户[""ID""],访问.连接);
		SqlDataReader 读取=语句.ExecuteReader();
		if(读取.Read())
		{
			标题=读取[""标题""].ToString();
			读取.Close();
		}
		else
		{
			读取.Close();
			throw new Exception(""贴子不存在"");
		}
	}
	private void 追加贴子内容()
	{
		String 内容=Request.Form[""content""];
		if(内容.Length<1)
			throw new Exception(""内容不能为空"");

		File.AppendAllText(Server.MapPath(程序.安装位置+""Data/DT_TieZhi/""+(ID/500)+""/""+ID+"".txt""),内容,Encoding.UTF8);
	}
";
            String 返回值 = "";
            返回值 += @"

	ID=Convert.ToInt32(Request.QueryString[""ID""]);
	BID=Convert.ToInt32(Request.QueryString[""BID""]);
	论坛版块=常用.获取版块(BID);
	访问.验证会员();
	生成贴子内容();
	追加贴子内容();
";
            return 返回值;
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "ID":
                    return @"
		返回值.Append(ID);
";
                case "标题":
                    return @"
		返回值.Append(Server.HtmlEncode(标题));
";
                case "版块ID":
                    return @"
		返回值.Append(论坛版块[""ID""]);
";
                case "版块名称":
                    return @"
		返回值.Append(Server.HtmlEncode(论坛版块[""版块名称""].ToString()));
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}